/* SCCS  @(#)nsl_input_vector.h	1.1---95/08/13--23:45:45 */
//
//	nsl_input_vector.h
//

class nsl_input_vector : public nsl_num_vector
{
protected:
	nsl_input_layer* input_layer;	// stim info
	nsl_num_0 xz;			// *** should be INT ***
	nsl_num_0 dx;
	//	float erf;              	// erf - excit. receptive field (dia)
public:

	nsl_input_vector(const char*,nsl_public*,const int,row_col_enum = NSL_ROW,
		int=0,int=1,int=1);
	~nsl_input_vector();

	nsl_input_layer* get_input_layer() { return input_layer; }

// set
 	void	set_xz(int i) { xz = i; }
	void	set_dx(float s) { dx = s; }
// get
 	int	get_xz() { return (int) xz.get_value() + 0.5; }
	float	get_dx() { return dx.get_value(); }

// assignment
	nsl_num_1& 	operator=(const nsl_input_vector&);
	nsl_num_1& 	operator=(const nsl_vector&);
	nsl_num_1& 	operator=(const nsl_data&);
 	nsl_num_1& 	operator=(const num_type);
 	nsl_num_1& 	operator=(const int);

 	int run();

// print status
	virtual int print_status(ostream&) const;
	int print_input_vector_status(ostream&) const;

	virtual int print(ostream&) const;
	virtual int print(ostream&,int) const;
};
