/* SCCS  @(#)nsl_stim_type_data.h	1.1---95/08/13--23:37:21 */
//
//	nsl_stim_type_data.h
//

class nsl_stim_type_data : public nsl_data_layer
{
protected:
	stim_type_enum sval;
public:
		nsl_stim_type_data(int=0,int=0,int=1);
		nsl_stim_type_data(const char*,nsl_model* = 0,int=0,int=0,int=1); 
		nsl_stim_type_data(const char*,const stim_type_enum,nsl_model* = 0,
			int=0,int=0,int=1); 
		nsl_stim_type_data(const nsl_stim_type_data&,int=0,int=0,int=1);

		~nsl_stim_type_data();

	int	init_stim_type_data();

// get value
	const stim_type_enum get_data() const { return sval; }
	const stim_type_enum get_value() const { return sval; }
	stim_type_enum elem() 	{ return sval; }

// set value
	stim_type_enum	set_value(const stim_type_enum);

// assignment
	stim_type_enum 	operator=(const nsl_stim_type_data&);
	stim_type_enum	operator=(const stim_type_enum);

// I/O
	virtual int	print(ostream&) const;
	int	print_stim_type_data(ostream&) const;
	virtual int	print_status(ostream&) const;
	int	print_stim_type_data_status(ostream&) const;

	int 	reset_stim_type_data(nsl_buffer* = 0);
	virtual int 	reset(nsl_buffer* = 0);

	int 	write_stim_type_data(nsl_buffer&);
	virtual int 	write(nsl_buffer&);
	int 	read_stim_type_data(nsl_buffer&);
	virtual int 	read(nsl_buffer&);
};
