/* SCCS  %W%---%E%--%U% */
//
//	nsl_num_0.C
//

# include "nsl_all_kernel_include.h"

//template<class NslNumType>
nsl_num_0/*NslNumType*/::nsl_num_0(const NslNumType val,int sfg,int fg,int rfg) : 
	nsl_data_layer(sfg,fg,rfg)
{
	init_num_data();
	v = val;
}
//template<class NslNumType>
nsl_num_0/*NslNumType*/::nsl_num_0(const char* str,
	nsl_public* m,int sfg,int fg,int rfg) : 
	nsl_data_layer("num_data",str,m,sfg,fg,rfg)
{
	init_num_data();
	v = 0;
}
//template<class NslNumType>
nsl_num_0/*NslNumType*/::nsl_num_0(const char* str,
	const NslNumType val,nsl_public* m,int sfg,int fg,int rfg) : 
	nsl_data_layer("num_data",str,m,sfg,fg,rfg)
{
	init_num_data();
	v = val;
}
//template<class NslNumType>
nsl_num_0/*NslNumType*/::nsl_num_0(const nsl_num_0/*NslNumType*/& a,
	int sfg,int fg,int rfg) : nsl_data_layer(sfg,fg,rfg)
{
	init_num_data();
	v = a.get_value();
}

//template<class NslNumType>
nsl_num_0/*NslNumType*/::~nsl_num_0(void)
{
}

//template<class NslNumType>
void nsl_num_0/*NslNumType*/::initialize(const char* str,
	nsl_public* m,int sfg,int fg,int rfg)
{
	nsl_data_layer::initialize("num_data",str,m,sfg,fg,rfg);
	init_num_data();
	v = 0;
}

// init

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::init_num_data()
{
	v = 0;
	return 1;
}

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::memAlloc()
{
	v = 0;
	return 1;
}

// nsl_num_0 set values

//template<class NslNumType>
void nsl_num_0/*NslNumType*/::set_value(const NslNumType val)
{
	v = (NslNumType) val;
}

// nsl_num_0/*NslNumType*/ addition

//template<class NslNumType>
nsl_num_0/*NslNumType*/ nsl_num_0/*NslNumType*/::operator+() const
{
	nsl_num_0/*NslNumType*/ c;
	c = get_data();
	return c;
}
//template<class NslNumType>
nsl_num_0/*NslNumType*/ nsl_num_0/*NslNumType*/::operator+(const 
	nsl_num_0/*NslNumType*/& b) const
{
	nsl_num_0/*NslNumType*/ c;
	c = get_data() + b.get_data();
	return c;
}
//template<class NslNumType>
nsl_num_0/*NslNumType*/ nsl_num_0/*NslNumType*/::operator+(const 
	NslNumType b) const
{
	nsl_num_0/*NslNumType*/ c;
	c = get_data() + b;
	return c;
}

// nsl_num_0/*NslNumType*/ assignment

//template<class NslNumType>
NslNumType nsl_num_0/*NslNumType*/::operator=(const nsl_num_0/*NslNumType*/& a)
{
	v = (NslNumType) a.get_value();

	if (TRACE_FG == 1 && NSL_FILE != NULL && m_parent != NULL && m_parent != SYSTEM)
	{
		m_parent->print(*NSL_FILE);
		print(*NSL_FILE);
	}

	return v;
}
//template<class NslNumType>
//NslNumType nsl_num_0/*NslNumType*/::operator=(const nsl_din_num_0/*NslNumType*/& a)
/*{
	return v = (NslNumType) a.get_value();
}*/
//template<class NslNumType>
//NslNumType nsl_num_0/*NslNumType*/::operator=(const nsl_dout_num_0/*NslNumType*/& a)
/*{
	return v = (NslNumType) a.get_value();
}*/
//template<class NslNumType>
NslNumType nsl_num_0/*NslNumType*/::operator=(const NslNumType a)
{
	v = (NslNumType) a;

	if (TRACE_FG == 1 && NSL_FILE != NULL && m_parent != NULL && m_parent != SYSTEM)
	{
		m_parent->print(*NSL_FILE);
		print(*NSL_FILE);
	}

	return v;
}

// print

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::print_num_data_status() const
{
	print_data_layer_status();
	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::nslStatus() const
{
	print_num_data_status();
	return 1;
}

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::print_num_data() const
{
	if (sub_layer_fg == 0)
		print_data_layer();

	NSLoutput("\t",v);
	NSLoutput(" ");

	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::nslPrint() const
{
	print_num_data();
	return 1;
}

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::print_num_data_status(ostream& out) const
{
	print_data_layer_status(out);
	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::print_status(ostream& out) const
{
	print_num_data_status(out);
	return 1;
}

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::print_num_data(ostream& out) const
{
	if (sub_layer_fg == 0)
		print_data_layer(out);

	NSLoutput(v,out);
	NSLoutput(" ",out);

	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::print(ostream& out) const
{
	print_num_data(out);
	return 1;
}

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::reset_num_data(nsl_buffer* buf)
{
	if (buf == NULL)
		v = 0;
	else
		*buf >> v;

	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::reset(nsl_buffer* buf)
{
	reset_num_data(buf);
	return 1;
}

//template<class NslNumType>
int nsl_num_0/*NslNumType*/::write_num_data(nsl_buffer& buf)
{
	buf << v;
	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::write(nsl_buffer& buf)
{
	write_num_data(buf);
	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::read_num_data(nsl_buffer& buf)
{
	buf >> v;
	return 1;
}
//template<class NslNumType>
int nsl_num_0/*NslNumType*/::read(nsl_buffer& buf)
{
	read_num_data(buf);
	return 1;
}

