/************************************/
/*    nsl_link_vector_vector.C      */
/************************************/

# include "nsl_all_kernel_include.h"
# include "nsl_all_neuron_include.h"
 
nsl_link_vector_vector::nsl_link_vector_vector(nsl_layer& f,
	nsl_layer& t,nsl_layer& w,int s) : nsl_link_vector(f,t,w,s)
{
}

nsl_link_vector_vector::nsl_link_vector_vector(nsl_layer& f,
	nsl_layer& t,int s) : nsl_link_vector(f,t,s)
{
}


nsl_link_vector_vector::~nsl_link_vector_vector()
{
}

int nsl_link_vector_vector::run()
{
	nsl_layer* out;

	if (link_layer == NULL)
	{
		cmd_out("nsl_link_vector_vector::run: NULL link_layer");
		return 1;
	}

	if (from != NULL && 
		(out = from->get_output()) != NULL)
	{
//		out->print(cout);
	}
	else
	{
		cmd_out("nsl_link_vector_vector::run: NULL from/output");
		return 1;
	}

	NSLadd_equal(*((nsl_num_vector*) link_layer),*((nsl_num_vector*) out));

//	link_layer->print(cout);

	return 1;
}
