/* SCCS  %W%---%E%--%U% */
//
//	xnsl_spatial_graph_3_vector.C
//

# include "nsl_all_kernel_include.h"
# include "xnsl_all_xkernel_include.h"

xnsl_spatial_graph_3_vector::xnsl_spatial_graph_3_vector(
	xnsl_display_canvas* win,
	nsl_vector* m) : xnsl_spatial_graph_3(win)
{
        set_type("spatial_graph_3_vector");

	if (m != NULL)
	{
		_layer = m;
		_layer0 = m;

		_imax = ((nsl_vector*) _layer)->get_imax();
		_i0 = 0;
		_i1 = _imax - 1;
		_vec_type = NSL_ROW;
 	}
//	else
//		cmd_error("xnsl_spatial_graph_3_vec: NULL layer");
}
xnsl_spatial_graph_3_vector::~xnsl_spatial_graph_3_vector()
{
}

xnsl_widget * xnsl_spatial_graph_3_vector::make_widget()
{
        return new xnsl_spatial_graph_3_vector((xnsl_display_canvas*) m_parent,
		(nsl_vector*) _layer);
}
int xnsl_spatial_graph_3_vector::display()
{
//	set_env("",_X0,_Y0,_width,_height,_wx0,_wy0,_wx1,_wy1,_wxs,_wys);
	display_spatial_graph_3(_widget,_wx0,_wy0,_wx1,_wy1,_wymin,_wymax);
 
	return 1;
}
int xnsl_spatial_graph_3_vector::display_spatial_graph_3(xnsl_widget*,
	int,int,int,int,num_type, num_type) 
{
	cmd_error("xnsl_spatial_graph_3_vec: CANNOT display vector in 3D");
	return 1;
}
int xnsl_spatial_graph_3_vector::read_from_database()
{
/*	parent_window->get_general_data("i0",&i0);
	parent_window->get_general_data("i1",&i1);

	imax = ((nsl_vector*) layer_ptr)->get_imax();

	parent_window->get_general_data("vec_type",&vec_type);

	if (i0 < 0) 
	{
		i0 = 0;
		parent_window->set_general_data("i0",i0);
	}
	if (i1 > imax-1) 
	{
		i1 = imax-1;
		parent_window->set_general_data("i1",i1);
	}
	if (i1 < i0)
	{
		i0 = 0;
		i1 = imax-1;
		parent_window->set_general_data("i0",i0);
		parent_window->set_general_data("i1",i1);
	}

	if (vec_type == 0)
	   parent_window->set_win_sector(0,i0,0,i1,1,imax); // update win sector
	else
	   parent_window->set_win_sector(i0,0,i1,0,imax,1); // update win sector
	spatial_graph_3::read_from_database(); // read in new win sector
*/
	return 1;
}
int xnsl_spatial_graph_3_vector::write_to_database()
{
	xnsl_spatial_graph_3::write_to_database();

	return 1;
}
int xnsl_spatial_graph_3_vector::print(ostream& out) const
{
	xnsl_spatial_graph_3::print(out);

	return 1;
}

