/* SCCS  @(#)nsl_diff_euler.h	1.2---95/10/30--16:02:50 */
//
//	nsl_diff_euler.h
//

class nsl_diff_euler : public nsl_diff_method
{
protected:
	num_type p;
public:
		nsl_diff_euler();
		virtual ~nsl_diff_euler();

	int	init();
	int 	init_diff_euler();

// 	assignment
	  virtual int exec(const num_type);
	  virtual int exec(const nsl_num_data&);
	  virtual int exec(const nsl_num_vector&);
	  virtual int exec(const nsl_num_matrix&);
	  virtual int exec(const nsl_num_3&);
	  virtual int exec(const nsl_num_4&);

	  int execute(num_type,num_type,num_type,const num_type);
	  int execute(nsl_num_data&,num_type,num_type,const nsl_num_data&);
	  int execute(nsl_num_data&,nsl_num_data&,num_type,const nsl_num_data&);
	  int execute(nsl_num_vector&,num_type,num_type,const nsl_num_vector&);
	  int execute(nsl_num_vector&,nsl_num_data&,num_type,const nsl_num_vector&);
	  int execute(nsl_num_matrix&,num_type,num_type,const nsl_num_matrix&);
	  int execute(nsl_num_matrix&,nsl_num_data&,num_type,const nsl_num_matrix&);
	  int execute(nsl_num_3&,num_type,num_type,const nsl_num_3&);
	  int execute(nsl_num_3&,nsl_num_data&,num_type,const nsl_num_3&);
	  int execute(nsl_num_4&,num_type,num_type,const nsl_num_4&);
	  int execute(nsl_num_4&,nsl_num_data&,num_type,const nsl_num_4&);

	int run(nsl_layer*,nsl_layer*);

	virtual nsl_diff_method* make_copy();
};
