/* SCCS  @(#)nsl_matrix_conv_library.h	1.1---95/08/13--23:38:58 */
//
// nsl_matrix_conv_library.h
//

extern	nsl_matrix 	operator*(const nsl_matrix&,const nsl_matrix&);
extern	nsl_matrix 	operator*(const nsl_vector&,const nsl_matrix&);
extern	nsl_matrix 	operator*(const nsl_matrix&,const nsl_vector&);
extern	nsl_matrix 	operator*(const nsl_matrix&,const nsl_data&);
extern	nsl_matrix 	operator*(const nsl_data&,const nsl_matrix&);
extern	nsl_matrix 	operator*(const nsl_matrix&,const num_type);
extern	nsl_matrix 	operator*(const num_type,const nsl_matrix&);

extern nsl_matrix NSLconv_zero(const nsl_matrix&,const num_type);
extern nsl_matrix NSLconv_zero(const num_type,const nsl_matrix&);
extern nsl_matrix NSLconv_zero(const nsl_matrix&,const nsl_data&);
extern nsl_matrix NSLconv_zero(const nsl_data&,const nsl_matrix&);
extern nsl_matrix NSLconv_zero(const nsl_matrix&,const nsl_vector&);
extern nsl_matrix NSLconv_zero(const nsl_vector&,const nsl_matrix&);
extern nsl_matrix NSLconv_zero(const nsl_matrix&,const nsl_matrix&);
extern nsl_matrix NSLconv_wrap(const nsl_matrix&,const nsl_matrix&);
extern nsl_matrix NSLconv_copy(const nsl_matrix&,const nsl_matrix&);

extern void NSLconv_zero_col_equal(const nsl_matrix&,const nsl_vector&,const nsl_matrix&);
extern void NSLconv_zero_row_equal(const nsl_matrix&,const nsl_vector&,const nsl_matrix&);
